/* Amiga device driver dispatch table */
#include "plplot.h"
#include "dispatch.h"

void amisetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void amiorient PLARGS((int ori));
void amiselect PLARGS((FILE *file));
void amiinit PLARGS((void));
void amiline PLARGS((int x1, int y1, int x2, int y2));
void amiclear PLARGS((void));
void amipage PLARGS((void));
void amieop PLARGS((void));
void amitidy PLARGS((void));
void amicolor PLARGS((int color));
void amitext PLARGS((void));
void amigraph PLARGS((void));
void amiwidth PLARGS((int width));
void amicwin PLARGS((void));
void amigwin PLARGS((void));

void prefsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void preforient PLARGS((int ori));
void prefselect PLARGS((FILE *file));
void prefinit PLARGS((void));
void prefline PLARGS((int x1, int y1, int x2, int y2));
void prefclear PLARGS((void));
void prefpage PLARGS((void));
void prefeop PLARGS((void));
void preftidy PLARGS((void));
void prefcolor PLARGS((int color));
void preftext PLARGS((void));
void prefgraph PLARGS((void));
void prefwidth PLARGS((int width));
void prefcwin PLARGS((void));
void prefgwin PLARGS((void));

void iffsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void ifforient PLARGS((int ori));
void iffselect PLARGS((FILE *file));
void iffinit PLARGS((void));
void iffline PLARGS((int x1, int y1, int x2, int y2));
void iffclear PLARGS((void));
void iffpage PLARGS((void));
void iffeop PLARGS((void));
void ifftidy PLARGS((void));
void iffcolor PLARGS((int color));
void ifftext PLARGS((void));
void iffgraph PLARGS((void));
void iffwidth PLARGS((int width));
void iffcwin PLARGS((void));
void iffgwin PLARGS((void));

void hp7475setup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void hp7475orient PLARGS((int ori));
void hp7475select PLARGS((FILE *file));
void hp7475init PLARGS((void));
void hp7475line PLARGS((int x1, int y1, int x2, int y2));
void hp7475clear PLARGS((void));
void hp7475page PLARGS((void));
void hp7475eop PLARGS((void));
void hp7475tidy PLARGS((void));
void hp7475color PLARGS((int color));
void hp7475text PLARGS((void));
void hp7475graph PLARGS((void));
void hp7475width PLARGS((int width));
void hp7475cwin PLARGS((void));
void hp7475gwin PLARGS((void));

void aegissetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void aegisorient PLARGS((int ori));
void aegisselect PLARGS((FILE *file));
void aegisinit PLARGS((void));
void aegisline PLARGS((int x1, int y1, int x2, int y2));
void aegisclear PLARGS((void));
void aegispage PLARGS((void));
void aegiseop PLARGS((void));
void aegistidy PLARGS((void));
void aegiscolor PLARGS((int color));
void aegistext PLARGS((void));
void aegisgraph PLARGS((void));
void aegiswidth PLARGS((int width));
void aegiscwin PLARGS((void));
void aegisgwin PLARGS((void));

void pssetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void psorient PLARGS((int ori));
void psselect PLARGS((FILE *file));
void psinit PLARGS((void));
void psline PLARGS((int x1, int y1, int x2, int y2));
void psclear PLARGS((void));
void pspage PLARGS((void));
void pseop PLARGS((void));
void pstidy PLARGS((void));
void pscolor PLARGS((int color));
void pstext PLARGS((void));
void psgraph PLARGS((void));
void pswidth PLARGS((int width));
void pscwin PLARGS((void));
void psgwin PLARGS((void));

DISPATCH_TABLE plDispatchTable[] = {
   /* Amiga routines */
   {
      /* This string appears in the device menu list. */
      "Amiga Window",
      /* Page Setup routine */
      amisetup,
      /* Orientation selection */
      amiorient,
      /* File pointer selection */
      amiselect,
      /* Device initialization function pointer. */
      amiinit,
      /* Function to draw line between two points */
      amiline,
      /* Clear screen (or eject page) function. */
      amiclear,
      /* New page set up. */
      amipage,
      /* End of old page */
      amieop,
      /* Tidy up device (flush buffers, close file, etc.) */
      amitidy,
      /* Function to change pen color. */
      amicolor,
      /* Switch to text mode. */
      amitext,
      /* Switch to graphics mode. */
      amigraph,
      /* Set pen width */
      amiwidth,
      /* Switch to console window */
      amicwin,
      /* Switch to graphics window */
      amigwin
   },
   {
      "Preferences Printer",
      prefsetup,
      preforient,
      prefselect,
      prefinit,
      prefline,
      prefclear,
      prefpage,
      prefeop,
      preftidy,
      prefcolor,
      preftext,
      prefgraph,
      prefwidth,
      prefcwin,
      prefgwin
   },
   {
      "IFF Graphics File",
      iffsetup,
      ifforient,
      iffselect,
      iffinit,
      iffline,
      iffclear,
      iffpage,
      iffeop,
      ifftidy,
      iffcolor,
      ifftext,
      iffgraph,
      iffwidth,
      iffcwin,
      iffgwin
   },
   {
      "HP7475A Plotter (PLT: device)",
      hp7475setup,
      hp7475orient,
      hp7475select,
      hp7475init,
      hp7475line,
      hp7475clear,
      hp7475page,
      hp7475eop,
      hp7475tidy,
      hp7475color,
      hp7475text,
      hp7475graph,
      hp7475width,
      hp7475cwin,
      hp7475gwin
   },
   {
      "Aegis Draw File",
      aegissetup,
      aegisorient,
      aegisselect,
      aegisinit,
      aegisline,
      aegisclear,
      aegispage,
      aegiseop,
      aegistidy,
      aegiscolor,
      aegistext,
      aegisgraph,
      aegiswidth,
      aegiscwin,
      aegisgwin
   },
   {
      "PostScript File",
      pssetup,
      psorient,
      psselect,
      psinit,
      psline,
      psclear,
      pspage,
      pseop,
      pstidy,
      pscolor,
      pstext,
      psgraph,
      pswidth,
      pscwin,
      psgwin
   }
};

int npldrivers = (sizeof(plDispatchTable)/sizeof(struct dispatch_table));
